## ffcvt 1.3.1

=== Makefile ===
NAME    := $(shell basename $(shell pwd))
VERSION ?= 0.0.0

all: test

clean: cleanbuild cleanpkg
cleanbuild:
	rm -fr ./build
cleanpkg:
	rm -fr ./pkg

show:
	echo "Building '${NAME}'"

test:
	go -v test ./...

build: build/${NAME}
build/%:
	GOOS=linux GOARCH=amd64 go build -v -ldflags="-X main.date=`date -I`" -o build/$*

pkg: show build pkg/${NAME}.deb
pkg/%.deb:
	mkdir -p ./pkg
# 	https://github.com/jordansissel/fpm/wiki
	fpm --verbose -s dir -t deb \
		--name ${NAME} \
		--package ./pkg/${NAME}.deb \
		--force \
		--deb-compression bzip2 \
		--url "${PKG_URL}" \
		--category ${PKG_CAT} \
		--description "${PKG_DESC}" \
		--maintainer "${PKG_MAINT}" \
		--vendor "${PKG_VEND}" \
		--license "${PKG_LICNS}" \
		--version ${VERSION} \
		--architecture ${PKG_ARCH} \
		--depends apt \
		./build/=/usr/bin/

=== debian/changelog ===
ffcvt (1.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:04:09 +0800

ffcvt (1.3.1-1) unstable; urgency=medium

  * Initial release (Closes: 902228)

 -- Tong Sun <suntong001@users.sourceforge.net>  Sat, 15 Dec 2018 16:54:01 -0500

=== debian/control ===
Source: ffcvt
Section: utils
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tong Sun <suntong001@users.sourceforge.net>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any
Standards-Version: 4.1.4
Homepage: https://github.com/suntong/ffcvt
Vcs-Browser: https://salsa.debian.org/go-team/packages/ffcvt
Vcs-Git: https://salsa.debian.org/go-team/packages/ffcvt.git
XS-Go-Import-Path: github.com/suntong/ffcvt
Testsuite: autopkgtest-pkg-go

Package: ffcvt
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ffmpeg convert wrapper tool
 ffcvt - ffmpeg convert wrapper to make it simple to do high efficiency
 audio/video compression (Opus/H.265) encoding, and for youtube as well. 
 .
 The next-generation High Efficiency Video codec (HEVC), H.265 can produce
 videos visually comparable to libx264's, but in about half the size;
 Meanwhile the Opus audio codec is becoming the best thing ever for
 compressing audio -- A 64K Opus audio stream is comparable to mp3 files of
 128K to 256K bandwidth. The ffcvt makes use of such fantastic high
 efficiency audio/video codec/encoding capability while shielding people
 from the complicated ffmpeg command line option settings, while versatile
 and powerful enough to allow advanced users to touch every corner of
 audio/video encoding.

## ffcvt 1.5.05

=== debian/changelog ===
ffcvt (1.5.05-1build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2020 08:49:35 +0000

ffcvt (1.5.05-1) unstable; urgency=medium

  * New upstream version 1.5.05
  * allow 'go generate' during building Debian package

 -- Tong Sun <suntong001@users.sourceforge.net>  Wed, 01 Jan 2020 18:38:55 +0000

ffcvt (1.5.03-1.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 31 Dec 2019 17:02:03 -0800

ffcvt (1.5.03-1) unstable; urgency=medium

  * - [!] fix package-uses-old-debhelper-compat-version,
          uses-debhelper-compat-file, rules-requires-root-missing
  * - [!] fix debian-watch-does-not-check-gpg-signature
  * - [!] fix upstream-metadata-file-is-missing with DEP-12 upstream metadata
  * - [!] fix d/copyright
  * New upstream version 1.5.03
  - [+] officially introduce -ses, subtitle encoding method set (tag: v1.4.0)
  - [+] add -lang, for language selection
  - [!] transcoding single file now works properly
  - [*] rename test/test-sym.sh to test-all.sh
  - [!] fix for CI sites not having ffprobe (tag: v1.5.00)
  - [!] when -map is used, then all else need mapping as well (tag: v1.5.01)
  - [!] able to deal with 5.1 surround sound channels now (tag: v1.5.02)
  - [!] fix cumulative effect of xEP settings from one file to the next
  - [*] remove zero-sized output file when error
  - [*] Release v1.5.03 (tag: v1.5.03)

 -- Tong Sun <suntong001@users.sourceforge.net>  Sun, 29 Dec 2019 19:34:13 -0500

ffcvt (1.3.3-1) unstable; urgency=medium

  [ Tong Sun ]
  * New upstream version 1.3.3

 -- Tong Sun <suntong001@users.sourceforge.net>  Fri, 19 Apr 2019 11:28:58 -0400

=== debian/control ===
Source: ffcvt
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tong Sun <suntong001@users.sourceforge.net>
Build-Depends: debhelper-compat (= 12),
               ronn (>= 0.8.0-2~),
               dh-golang,
               golang-any,
               easygen
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/suntong/ffcvt
Vcs-Browser: https://salsa.debian.org/go-team/packages/ffcvt
Vcs-Git: https://salsa.debian.org/go-team/packages/ffcvt.git
XS-Go-Import-Path: github.com/suntong/ffcvt
Testsuite: autopkgtest-pkg-go

Package: ffcvt
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: ffmpeg convert wrapper tool
 ffcvt - ffmpeg convert wrapper to make it simple to do high efficiency
 audio/video compression (Opus/H.265) encoding, and for youtube as well.
 .
 The next-generation High Efficiency Video codec, HEVC and VP9 can produce
 videos visually comparable to libx264's, but in about half the size;
 Meanwhile the Opus audio codec is becoming the best thing ever for
 compressing audio -- A 64K Opus audio stream is comparable to mp3 files of
 128K to 256K bandwidth.
 The ffcvt makes use of such fantastic high efficiency audio/video
 codec/encoding capability while shielding people from the
 complicated ffmpeg command line option settings, while versatile
 and powerful enough to allow advanced users to touch every corner
 of audio/video encoding.

## ffcvt 1.6.1

=== debian/changelog ===
ffcvt (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * enable concatenating videos into one
  * use shellescape protection to ffprobe command
  * fix: - out-of-date-standards-version
    - upstream-metadata-missing-bug-tracking
    - package-uses-old-debhelper-compat-version
    - unused-override statically-linked-binary

 -- Tong Sun <suntong001@users.sourceforge.net>  Sun, 10 Jan 2021 15:55:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: ffcvt
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tong Sun <suntong001@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                ronn (>= 0.8.0-2~),
                dh-golang,
                golang-any,
                easygen
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/suntong/ffcvt
 Vcs-Browser: https://salsa.debian.org/go-team/packages/ffcvt
 Vcs-Git: https://salsa.debian.org/go-team/packages/ffcvt.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ffcvt-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/suntong/ffcvt/tags .*/v?(\d\S*)\.tar\.gz

## ffcvt 1.7.6

=== debian/changelog ===
ffcvt (1.7.6-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on ronn.

  [ Tong Sun ]
  * Use pre-generated config.go (Closes: #1076881)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 15 Aug 2024 15:44:17 +0800

ffcvt (1.7.6-1) unstable; urgency=medium

  * New upstream version 1.7.6
    - fix tests update ffcvt_test.txt (v1.7.6)
    - add --Speed for speeding up playback (v1.7.5)
    - added a copy target type that can speed up operations (v1.7.4)
    - add option -S,Seg -- split video into multiple segments (v1.7.3)
    - add option -sel, subtitle encoding language (v1.7.2)
    - add option -C which allows cutting multiple segments (v1.7.1)
    - add wx type for weixin (v1.7.0)
    - x264-mp3 type set ext to .mp4 (v1.6.2)
  * fix "source: out-of-date-standards-version" problem
  * fix "source: update-debian-copyright" problem
  * fix "source: prefer-uscan-symlink filenamemangle" problem

 -- Tong Sun <suntong001@users.sourceforge.net>  Sun, 16 Jan 2022 16:32:18 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tong Sun <suntong001@users.sourceforge.net>
 Build-Depends: debhelper-compat (= 13),
-               ronn (>= 0.8.0-2~),
+               ronn,
                dh-golang,
-               golang-any,
-               easygen
+               golang-any
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/suntong/ffcvt
 Vcs-Browser: https://salsa.debian.org/go-team/packages/ffcvt
 Vcs-Git: https://salsa.debian.org/go-team/packages/ffcvt.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := test

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_build:
	dh_auto_build
	ronn ffcvt.1.ronn

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --verbose
	cd obj-$(DEB_TARGET_GNU_TYPE)/src/github.com/suntong/ffcvt/test && ./test-all.sh
endif

override_dh_clean:
	rm -f ffcvt.1 ffcvt.1.html
	dh_clean

%:
	dh $@ --buildsystem=golang --with=golang
